/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package com.aliyun.oss.model;

public class DeleteBucketCnameRequest extends GenericRequest {
    
    private String domain;
    
    public DeleteBucketCnameRequest(String bucketName) {
        super(bucketName);
    }
    
    public DeleteBucketCnameRequest(String bucketName, String domain) {
        super(bucketName);
        this.domain = domain;
    }
    
    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }
    
    public DeleteBucketCnameRequest withDomain(String domain) {
        setDomain(domain);
        return this;
    }

}
